<?php

if (file_exists('SSI.php'))
  require('SSI.php');
else
  die('Error: Cannot install - please verify SSI.php is in the same place as SMF\'s index.php.');

$handle = fopen(dirname(__FILE__) . '/ip-to-country.csv', "r");		// Handle of ip-to-country.csv
$added = 0;															// Control variable "How many rows inserted?"

// Create IP table if not exist
$result = db_query("
		CREATE TABLE IF NOT EXISTS {$db_prefix}ip_lookup (
			`ipFrom` INT( 15 ) UNSIGNED NOT NULL DEFAULT '0',
			`ipTo` INT( 15 ) UNSIGNED NOT NULL DEFAULT '0',
			`country2` VARCHAR( 2 ) NOT NULL ,
			`country3` VARCHAR( 3 ) NOT NULL ,
			`country` VARCHAR( 60 ) NOT NULL
		)", __FILE__, __LINE__);
if ($result === false)
	die("Table creation failed: " . mysql_error().__LINE__.__FILE__);
else
	echo 'Table creation success.<br>';

// And clear previous content of IP table if already exist
$result = db_query("
		TRUNCATE TABLE {$db_prefix}ip_lookup", __FILE__, __LINE__);
if ($result === false)
	die("Table pruning failed: " . mysql_error().__LINE__.__FILE__);
else
	echo 'Table pruning success.<br>';

// Loop through each rows of csv file
while ($data = fgetcsv($handle, 1000, ","))
{
	// insert into database
	$result = db_query("
            INSERT INTO {$db_prefix}ip_lookup(`ipFrom`, `ipTo`, `country2`, `country3`, `country`)
			VALUES('".$data[0]."', '".$data[1]."', '".$data[2]."', '".$data[3]."', '". addslashes($data[4]) ."')
			", __FILE__, __LINE__);
	if ($result === false)
		die("Row insertion failed: " . mysql_error().__LINE__.__FILE__);
	$added++;					// increase added rows
}

fclose ($handle);				// Release csv file

echo 'IP table inserted. ' . $added . ' rows added in total.<br><br>';

?>