<id>
sonsivri:iptocountry
</id>

<version>
1.2
</version>

<edit file>
$sourcedir/Display.php
</edit file>

<search for>
	$memberContext[$message['ID_MEMBER']]['ip'] = $message['posterIP'];
</search for>

<add after>
	require_once(dirname(__FILE__) . '/Profile.php');
	list ($memberContext[$message['ID_MEMBER']]['country'], $memberContext[$message['ID_MEMBER']]['country2']) = ipToCountry($message['posterIP']);
</add after>

<edit file>
$sourcedir/Profile.php
</edit file>

<search for>
	$context['last_ip'] = $user_profile[$memID]['memberIP'];
	$context['member']['name'] = $user_profile[$memID]['realName'];
</search for>

<add after>

	// IP to Country
	list ($context['iptocountry'], $context['iptocountry2']) = ipToCountry($context['last_ip']);
</add after>

<edit file>
$sourcedir/Profile.php
</edit file>

<search for>
	while ($row = mysql_fetch_assoc($request))
	{
		$context['ips'][] = '<a href="' . $scripturl . '?action=trackip;searchip=' . $row['posterIP'] . '">' . $row['posterIP'] . '</a>';
		$ips[] = $row['posterIP'];
	}
</search for>

<replace>
	while ($row = mysql_fetch_assoc($request))
	{
		list ($iptocountry, $iptocountry2) = ipToCountry($row['posterIP']);
		$context['ips'][] = '<a href="' . $scripturl . '?action=trackip;searchip=' . $row['posterIP'] . '" title="' . $iptocountry . '">' . $row['posterIP'] . ' (' . $iptocountry2 . ')</a>';
		$ips[] = $row['posterIP'];
	}
</replace>

<edit file>
$sourcedir/Profile.php
</edit file>

<search for>
	while ($row = mysql_fetch_assoc($request))
	{
		$context['error_ips'][] = '<a href="' . $scripturl . '?action=trackip;searchip=' . $row['ip'] . '">' . $row['ip'] . '</a>';
		$ips[] = $row['ip'];
		$totalErrors += $row['errorCount'];
	}
</search for>

<replace>
	while ($row = mysql_fetch_assoc($request))
	{
		list ($iptocountry, $iptocountry2) = ipToCountry($row['ip']);
		$context['error_ips'][] = '<a href="' . $scripturl . '?action=trackip;searchip=' . $row['ip'] . '" title="' . $iptocountry . '">' . $row['ip'] . ' (' . $iptocountry2 . ')</a>';
		$ips[] = $row['ip'];
		$totalErrors += $row['errorCount'];
	}
</replace>

<edit file>
$sourcedir/Profile.php
</edit file>

<search for>
	$dbip = str_replace('*', '%', $context['ip']);
	$dbip = strpos($dbip, '%') === false ? "= '$dbip'" : "LIKE '$dbip'";

	$context['page_title'] = $txt['trackIP'] . ' - ' . $context['ip'];
</search for>

<add after>

	// IP to Country
	list ($context['iptocountry'], $context['iptocountry2']) = ipToCountry($context['ip']);
</add after>

<edit file>
$sourcedir/Profile.php
</edit file>

<search for>
?>
</search for>

<add before>
// Returns country name and country code of given IP parameter
function ipToCountry($ip)
{
	global $context, $db_prefix, $txt;
	$request = db_query("
			SELECT country, country2
			FROM {$db_prefix}ip_lookup
			WHERE ipFrom<=INET_ATON('" . $ip . "') AND ipTo>=INET_ATON('" . $ip . "')
			LIMIT 1", __FILE__, __LINE__);
    if (mysql_num_rows($request) > 0)
    {
		$row = mysql_fetch_assoc($request);
		mysql_free_result($request);
		return array($row['country'], $row['country2']);
	}
	else
		return array($txt['iptocountry_natitle'], $txt['iptocountry_na']);
}

</add before>

<edit file>
$languagedir/Modifications.english.php
</edit file>

<search for>
?>
</search for>

<add before>
$txt['iptocountry_title'] = 'to Country';
$txt['iptocountry_na'] = '--';
$txt['iptocountry_natitle'] = 'Not Listed';

</add before>

<edit file>
$themedir/Display.template.php
</edit file>

<search for>
									<a href="', $scripturl, '?action=trackip;searchip=', $message['member']['ip'], '">', $message['member']['ip'], '</a> <a href="', $scripturl, '?action=helpadmin;help=see_admin_ip" onclick="return reqWin(this.href);" class="help">(?)</a>';
</search for>

<replace>
									<a href="', $scripturl, '?action=trackip;searchip=', $message['member']['ip'], '" title="', $message['member']['country'],'">', $message['member']['ip'], ' (', $message['member']['country2'], ')</a> <a href="', $scripturl, '?action=helpadmin;help=see_admin_ip" onclick="return reqWin(this.href);" class="help">(?)</a>';
</replace>

<edit file>
$themedir/Profile.template.php
</edit file>

<search for>
						<a href="', $scripturl, '?action=trackip;searchip=', $context['last_ip'], ';">', $context['last_ip'], '</a>
</search for>

<replace>
						<a href="', $scripturl, '?action=trackip;searchip=', $context['last_ip'], ';" title="' . $context['iptocountry'] . '">' . $context['last_ip'] . ' (' . $context['iptocountry2'] . ')</a>
</replace>

<edit file>
$themedir/Profile.template.php
</edit file>

<search for>
	// The table inbetween the first and second table shows links to the whois server for every region.
	if ($context['single_ip'])
</search for>

<add before>
	// IP to Country table, fetches IP with lookup database
	echo '
		<table cellpadding="0" cellspacing="0" border="0" class="bordercolor" align="center" width="90%">
			<tr><td>
				<table border="0" cellspacing="1" cellpadding="4" align="center" width="100%">
					<tr class="titlebg">
						<td colspan="4">
							', $context['ip'], ' ', $txt['iptocountry_title'], '
						</td>
					</tr><tr class="windowbg">
						<td class="smalltext" colspan="4" style="padding: 2ex;">
							', $context['iptocountry'], ' (', $context['iptocountry2'], ')
						</td>
					</tr>
				</table>
			</td></tr>
		</table>
		<br />';

</add before>
